Name:           baobab
Version:        2.3.2
Release:        2%{?dist}
Summary:        Graphical tool to analyse directory trees 

Group:          Applications/System
License:        GPL
URL:            http://www.marzocca.net/linux/baobab.html
Source0:        http://www.marzocca.net/linux/downloads/baobab-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  GConf2-devel
BuildRequires:  libgtop2-devel >= 2.10
BuildRequires:	desktop-file-utils
BuildRequires:	gettext

%description
Baobab is able to scan either specific directories or the whole filesystem, 
in order to give the user a graphical tree representation including 
each directory size or percentage in the branch.


%prep
%setup -q
sed -i 's/GNOME_CANVAS_REQUIRED=2.10.2/GNOME_CANVAS_REQUIRED=2.10.0/' configure

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor fedora \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/baobab.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/*-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.gz

%changelog
* Thu Mar 30 2006 Deji Akingunola <dakingun@gmail.com> - 2.3.2-2
- Put in right version in the source tag

* Thu Mar 30 2006 Deji Akingunola <dakingun@gmail.com> - 2.3.2-1
- Update to newer version

* Thu Jan 12 2006 Deji Akingunola <dakingun@gmail.com> - 2.3.1-1
- Take over packaging from Thorsten Leemhuis
- Update to 2.3.1

* Sun Jan 01 2006 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 2.3.0-1
- Update to 2.3.0

* Thu Dec 08 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 2.2.2-1
- Update to 2.2.2

* Thu Dec 01 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 2.2.0-1
- Update to 2.2.0
- Still works with older GNOME_CANVAS so drop requires in configure slightly

* Sat Nov 12 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 1.3.1-1
- Update to 1.3.1

* Sun Sep 25 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 1.2.0-1
- Update to 1.2.0

* Sat Sep 10 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 1.1.0-3
- Don't ship INSTALL in doc as suggested by adrianr in #167940

* Sat Sep 10 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 1.1.0-2
- Remove pre and post-run of update-desktop-database

* Thu Sep 08 2005 Thorsten Leemhuis <fedora AT leemhuis DOT info> - 1.1.0-1
- Initial package
